<?php
add_event_handler('render_element_content','pdf2tab_add_links_picture',EVENT_HANDLER_PRIORITY_NEUTRAL+10,2);

load_language('plugin.lang', PDF2TAB_PATH);

function pdf2tab_add_links_picture($content, $element_info) {
	include_once('constants.inc.php');

	if (in_array(strtolower(substr(strrchr($element_info['file'], "."),1)), $supported_extensions)) {
		$content = pdf2tab_add_link_image($content, $element_info);
		$content = pdf2tab_add_link_beside_image($content, $element_info);
	}
	
	return $content;
}

function pdf2tab_add_link_image($content, $element_info) {
	preg_match('/<\s*img\s+[^>]*?src\s*=\s*(\'|\")(.*?)\\1[^>]*?\/?\s*>/i',$content,$match);
	$content = str_replace($match[0],'<a href="'.$element_info['element_url'].'" target="_blank" title="'.l10n('Open the file in a new tab').'">'.$match[0].'</a>',$content);
	
	return $content;
}

function pdf2tab_add_link_beside_image($content, $element_info) {
	$content .= '<p class="imageComment"><a href="'.$element_info['element_url'].'" target="_blank" title="'.l10n('Open the file in a new tab').'">'.l10n('Open the file in a new tab').'</a>';
	
	return $content;
}
?>